XMLReader::setSchema
XMLWriter
XMLReader
PHP Manual

# XMLReader->XML

(PHP 5 >= 5.1.2)

XMLReader->XML — Zeichenkette setzen, deren Inhalt geparst werden soll

### Beschreibung

XMLReader
bool xml ( string `$source` [, string `$encoding` [, int `$options` ]] )

Zeichenkette mit XML-Inhalt setzen, der geparst werden soll.

### Parameter-Liste

`source`

  Zeichenkette mit XML-Inhalt, der geparst werden soll.

`encoding`

  Dokumentkodierung oder `NULL`.

`options`

  Bitmaske der XMLReader-Options-Konstanten.

### Rückgabewerte

Gibt bei Erfolg `TRUE` zurück. Im Fehlerfall wird `FALSE` zurückgegeben.

### Changelog

Version | Beschreibung
--- | ---
5.2.0 | `encoding` und `options` wurden ergänzt.

### Siehe auch

- XMLReader->open
- XMLReader->close

XMLReader::setSchema
XMLWriter
XMLReader
PHP Manual